<?xml version='1.0' encoding='UTF-8'?><wsdl:definitions xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:tns="http://ws.authentication.simulators.gazelle.ihe.net/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:ns1="http://schemas.xmlsoap.org/soap/http" name="IdPSimulatorService" targetNamespace="http://ws.authentication.simulators.gazelle.ihe.net/">
    <wsdl:types>
        <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="http://ws.authentication.simulators.gazelle.ihe.net/" attributeFormDefault="unqualified" elementFormDefault="unqualified" targetNamespace="http://ws.authentication.simulators.gazelle.ihe.net/">
            <xs:element name="attemptRecordedByIdp" type="tns:attemptRecordedByIdpType"/>
            <xs:element name="fetchAuthenticationAttempts" type="tns:fetchAuthenticationAttempts"/>
            <xs:element name="fetchAuthenticationAttemptsResponse" type="tns:fetchAuthenticationAttemptsResponse"/>
            <xs:element name="getIdPSimuMedatada" type="tns:getIdPSimuMedatada"/>
            <xs:element name="getIdPSimuMedatadaResponse" type="tns:getIdPSimuMedatadaResponse"/>
            <xs:element name="rebootIdp" type="tns:rebootIdp"/>
            <xs:element name="rebootIdpResponse" type="tns:rebootIdpResponse"/>
            <xs:element name="reloadIdPMetadata" type="tns:reloadIdPMetadata"/>
            <xs:element name="reloadIdPMetadataResponse" type="tns:reloadIdPMetadataResponse"/>
            <xs:complexType name="getIdPSimuMedatada">
                <xs:sequence/>
            </xs:complexType>
            <xs:complexType name="getIdPSimuMedatadaResponse">
                <xs:sequence>
                    <xs:element minOccurs="0" name="metadata" type="xs:base64Binary"/>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="reloadIdPMetadata">
                <xs:sequence/>
            </xs:complexType>
            <xs:complexType name="reloadIdPMetadataResponse">
                <xs:sequence/>
            </xs:complexType>
            <xs:complexType name="rebootIdp">
                <xs:sequence/>
            </xs:complexType>
            <xs:complexType name="rebootIdpResponse">
                <xs:sequence/>
            </xs:complexType>
            <xs:complexType name="fetchAuthenticationAttempts">
                <xs:sequence/>
            </xs:complexType>
            <xs:complexType name="fetchAuthenticationAttemptsResponse">
                <xs:sequence>
                    <xs:element name="authenticationAttempts">
                        <xs:complexType>
                            <xs:sequence>
                                <xs:element maxOccurs="unbounded" minOccurs="0" name="authenticationAttempts" type="tns:attemptRecordedByIdpType"/>
                            </xs:sequence>
                        </xs:complexType>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="attemptRecordedByIdpType">
                <xs:complexContent>
                    <xs:extension base="tns:authenticationAttemptType">
                        <xs:sequence>
                            <xs:element minOccurs="0" name="serviceProviderName" type="xs:string"/>
                            <xs:element minOccurs="0" name="identityProviderName" type="xs:string"/>
                            <xs:element minOccurs="0" name="location" type="tns:locationType"/>
                        </xs:sequence>
                    </xs:extension>
                </xs:complexContent>
            </xs:complexType>
            <xs:complexType abstract="true" name="authenticationAttemptType">
                <xs:sequence>
                    <xs:element minOccurs="0" name="username" type="xs:string"/>
                    <xs:element minOccurs="0" name="usedBinding" type="tns:bindingType"/>
                    <xs:element minOccurs="0" name="tokenId" type="xs:string"/>
                    <xs:element minOccurs="0" name="token" type="xs:string"/>
                </xs:sequence>
                <xs:attribute name="timestamp" type="xs:dateTime" use="required"/>
                <xs:attribute name="success" type="xs:boolean" use="required"/>
            </xs:complexType>
            <xs:simpleType name="locationType">
                <xs:restriction base="xs:string">
                    <xs:enumeration value="REDIRECT_SSO"/>
                    <xs:enumeration value="SOAP_ECP"/>
                    <xs:enumeration value="ARTIFACT_RESOLUTION"/>
                    <xs:enumeration value="HTTP_POST_SSO"/>
                    <xs:enumeration value="HTTP_POST_SIMPLE_SIGN_SSO"/>
                </xs:restriction>
            </xs:simpleType>
            <xs:simpleType name="bindingType">
                <xs:restriction base="xs:string">
                    <xs:enumeration value="HTTP_REDIRECT_BINDING"/>
                    <xs:enumeration value="SOAP_BINDING"/>
                    <xs:enumeration value="HTTP_POST_BINDING"/>
                    <xs:enumeration value="HTTP_POST_BINDING_SIMPLE_SIGN"/>
                </xs:restriction>
            </xs:simpleType>
            <xs:element name="IdpException" type="tns:IdpException"/>
            <xs:complexType name="IdpException">
                <xs:sequence/>
            </xs:complexType>
        </xs:schema>
    </wsdl:types>
    <wsdl:message name="reloadIdPMetadata">
        <wsdl:part element="tns:reloadIdPMetadata" name="parameters">
        </wsdl:part>
    </wsdl:message>
    <wsdl:message name="getIdPSimuMedatada">
        <wsdl:part element="tns:getIdPSimuMedatada" name="parameters">
        </wsdl:part>
    </wsdl:message>
    <wsdl:message name="reloadIdPMetadataResponse">
        <wsdl:part element="tns:reloadIdPMetadataResponse" name="parameters">
        </wsdl:part>
    </wsdl:message>
    <wsdl:message name="fetchAuthenticationAttemptsResponse">
        <wsdl:part element="tns:fetchAuthenticationAttemptsResponse" name="parameters">
        </wsdl:part>
    </wsdl:message>
    <wsdl:message name="IdpException">
        <wsdl:part element="tns:IdpException" name="IdpException">
        </wsdl:part>
    </wsdl:message>
    <wsdl:message name="getIdPSimuMedatadaResponse">
        <wsdl:part element="tns:getIdPSimuMedatadaResponse" name="parameters">
        </wsdl:part>
    </wsdl:message>
    <wsdl:message name="rebootIdpResponse">
        <wsdl:part element="tns:rebootIdpResponse" name="parameters">
        </wsdl:part>
    </wsdl:message>
    <wsdl:message name="fetchAuthenticationAttempts">
        <wsdl:part element="tns:fetchAuthenticationAttempts" name="parameters">
        </wsdl:part>
    </wsdl:message>
    <wsdl:message name="rebootIdp">
        <wsdl:part element="tns:rebootIdp" name="parameters">
        </wsdl:part>
    </wsdl:message>
    <wsdl:portType name="IdPSimulatorWS">
        <wsdl:operation name="getIdPSimuMedatada">
            <wsdl:input message="tns:getIdPSimuMedatada" name="getIdPSimuMedatada">
            </wsdl:input>
            <wsdl:output message="tns:getIdPSimuMedatadaResponse" name="getIdPSimuMedatadaResponse">
            </wsdl:output>
            <wsdl:fault message="tns:IdpException" name="IdpException">
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="reloadIdPMetadata">
            <wsdl:input message="tns:reloadIdPMetadata" name="reloadIdPMetadata">
            </wsdl:input>
            <wsdl:output message="tns:reloadIdPMetadataResponse" name="reloadIdPMetadataResponse">
            </wsdl:output>
            <wsdl:fault message="tns:IdpException" name="IdpException">
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="rebootIdp">
            <wsdl:input message="tns:rebootIdp" name="rebootIdp">
            </wsdl:input>
            <wsdl:output message="tns:rebootIdpResponse" name="rebootIdpResponse">
            </wsdl:output>
            <wsdl:fault message="tns:IdpException" name="IdpException">
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="fetchAuthenticationAttempts">
            <wsdl:input message="tns:fetchAuthenticationAttempts" name="fetchAuthenticationAttempts">
            </wsdl:input>
            <wsdl:output message="tns:fetchAuthenticationAttemptsResponse" name="fetchAuthenticationAttemptsResponse">
            </wsdl:output>
            <wsdl:fault message="tns:IdpException" name="IdpException">
            </wsdl:fault>
        </wsdl:operation>
    </wsdl:portType>
    <wsdl:binding name="IdPSimulatorServiceSoapBinding" type="tns:IdPSimulatorWS">
        <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
        <wsdl:operation name="getIdPSimuMedatada">
            <soap:operation soapAction="" style="document"/>
            <wsdl:input name="getIdPSimuMedatada">
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="getIdPSimuMedatadaResponse">
                <soap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="IdpException">
                <soap:fault name="IdpException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="reloadIdPMetadata">
            <soap:operation soapAction="" style="document"/>
            <wsdl:input name="reloadIdPMetadata">
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="reloadIdPMetadataResponse">
                <soap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="IdpException">
                <soap:fault name="IdpException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="rebootIdp">
            <soap:operation soapAction="" style="document"/>
            <wsdl:input name="rebootIdp">
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="rebootIdpResponse">
                <soap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="IdpException">
                <soap:fault name="IdpException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="fetchAuthenticationAttempts">
            <soap:operation soapAction="" style="document"/>
            <wsdl:input name="fetchAuthenticationAttempts">
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="fetchAuthenticationAttemptsResponse">
                <soap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="IdpException">
                <soap:fault name="IdpException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
    </wsdl:binding>
    <wsdl:service name="IdPSimulatorService">
        <wsdl:port binding="tns:IdPSimulatorServiceSoapBinding" name="IdPSimulatorWSPort">
            <soap:address location="http://localhost:8180/idp-adapter-ejb/IdPSimulatorService/IdPSimulatorWS"/>
        </wsdl:port>
    </wsdl:service>
</wsdl:definitions>